> ## Documentation Index
> Fetch the complete documentation index at: https://docs.indxco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get External Account

> Given a party identifier, retrieve the external account.



## OpenAPI

````yaml GET /customer/accounts/external/{account_id}
openapi: 3.1.0
info:
  title: INDX-api
  description: |2-

        Welcome to the INDX API!
        
  version: 0.1.0
servers: []
security: []
paths:
  /customer/accounts/external/{account_id}:
    get:
      tags:
        - Customer
      summary: Get Client External Account Signed
      description: Given a party identifier, retrieve the external account.
      operationId: >-
        get_client_external_account_signed_customer_accounts_external__account_id__get
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
            title: Account Id
        - name: source
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Source
        - name: X-API-SIGNATURE
          in: header
          required: true
          schema:
            type: string
            description: Signature header
            title: X-Api-Signature
          description: Signature header
        - name: X-API-TIMESTAMP
          in: header
          required: true
          schema:
            type: integer
            description: Timestamp header
            title: X-Api-Timestamp
          description: Timestamp header
        - name: X-API-NONCE
          in: header
          required: true
          schema:
            type: string
            description: Nonce header
            title: X-Api-Nonce
          description: Nonce header
        - name: X-API-SUBSCRIPTION-KEY
          in: header
          required: true
          schema:
            type: string
            description: Account ID header
            title: X-Api-Subscription-Key
          description: Account ID header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ResponseSchema_ClientExternalAccountResponse_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ResponseSchema_ClientExternalAccountResponse_:
      properties:
        message:
          type: string
          title: Message
        data:
          anyOf:
            - $ref: '#/components/schemas/ClientExternalAccountResponse'
            - type: 'null'
      type: object
      required:
        - message
      title: ResponseSchema[ClientExternalAccountResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ClientExternalAccountResponse:
      properties:
        external_account_id:
          type: string
          title: External Account Id
          description: Account identifier
          examples:
            - '1234567'
        external_account_number:
          type: string
          title: External Account Number
          description: Account number
          examples:
            - '1234567'
        external_account_title:
          type: string
          title: External Account Title
          description: Account title
          examples:
            - Main Account
        external_institution_aba:
          type: string
          title: External Institution Aba
          description: Institution ABA
          examples:
            - '123456789'
        external_institution_name:
          type: string
          title: External Institution Name
          description: Institution name
          examples:
            - Bank of America
      type: object
      required:
        - external_account_id
        - external_account_number
        - external_account_title
        - external_institution_aba
        - external_institution_name
      title: ClientExternalAccountResponse
      description: Schema to serialize the client external account response.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````